Bug 232849 - [bhyve] enhancement for save-restore guest system (checkpoint)
Summary: [bhyve] enhancement for save-restore guest system (checkpoint)
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-31 15:26 UTC by Alexey
Modified: 2018-11-13 23:20 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey 2018-10-31 15:26:10 UTC
Politehnica University of Bucharest developed a snapshot system for bhyve. It would be nice to integrate it into existing code.
https://github.com/FreeBSD-UPB/freebsd/commits/projects/bhyve_save_restore

This functionality makes great use of CBSD:
https://www.bsdstore.ru/en/12.0.x/wf_bcheckpoint_ssi.html
Comment 1 mgrooms 2018-10-31 18:22:30 UTC
This project has been superseded by the bhyve migration project. The goal is to provide warm & live migration in addition to the save & restore features. It's still under active development and not all of the bug fixes applied to the migration repo have been applied to save_restore repo. It's probably best to wait for the code and review process to be completed.
Comment 2 Marcelo Araujo freebsd_committer 2018-11-01 07:30:57 UTC
I will take it as I'm working with the students and I'm very interested on this project too.
Comment 3 olevole 2018-11-13 23:20:30 UTC
(In reply to mgrooms from comment #1)
Live migration is based on this work, but I'm not sure about “superseded”.
These are different things and in the virtualization world none of these things replace another